'========================================================================================
' SOE BGinfo Installation Script
'========================================================================================
'Date   : 4 July 2010
'Author : 
'
' Script Details:
' --------------
' This script copies the BGinfo files to the C:\bginfo folder and sets the run registry key
'========================================================================================
Option Explicit

'Declare Variables and constants
Dim objShell, objFSO, intErrorCode

'Create objects
Set objShell = CreateObject("WScript.Shell")
Set objFSO = createobject("scripting.filesystemobject")

'========================================================================================
'Main body
'========================================================================================
On Error Resume Next

'Create the c:\bginfo folder
If not objFSO.FolderExist("C:\bginfo") Then
	objFSO.CreateFolder("C:\bginfo")
End If

'Copy the bginfo files
intErrorCode = objFSO.CopyFile(objShell.CurrentDirectory & "\Bginfo.lnk", "C:\bginfo\")
intErrorCode = intErrorCode + objFSO.CopyFile(objShell.CurrentDirectory & "\Bginfo.exe", "C:\bginfo\")
intErrorCode = intErrorCode + objFSO.CopyFile(objShell.CurrentDirectory & "\wstat.bgi", "C:\bginfo\")

'Add the bginfo shortcut to the run registry key
intErrorCode = intErrorCode + objshell.RegWrite("HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run\bginfo", "C:\bginfo\Bginfo.exe /accepteula /ic:\bginfo\wstat.bgi /timer:0", "REG_SZ")

objShell.Run "C:\bginfo\Bginfo.exe /accepteula /ic:\bginfo\wstat.bgi /timer:0"


'Cleanup
Set objShell = Nothing
Set objFSO = Nothing

'return errorcode for install to SCCM
WScript.Quit(intErrorCode)
'========================================================================================
